## wmfrog 0.2.0

=== Makefile ===
CC     = gcc
CFLAGS = -O2 -Wall
INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
LIBDIR = -L/usr/X11R6/lib
# for linux
LIBS   = -lXpm -lX11 -lXext
# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lsocket
PREFIX=/usr

OBJS   = wmFrog.o \
         xutils.o


.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmFrog.o wmFrog 

wmFrog.o: frog.xpm frog.xbm
wmFrog:	$(OBJS) 
	$(CC) $(CFLAGS) $(SYSTEM) -o wmfrog $^ $(INCDIR) $(LIBDIR) $(LIBS)
install:
		mkdir -p "$(DESTDIR)$(PREFIX)/bin"
		mkdir -p "$(DESTDIR)$(PREFIX)/lib/wmfrog"
		cp wmfrog "$(DESTDIR)$(PREFIX)/bin"
		cp weather.pl "$(DESTDIR)$(PREFIX)/lib/wmfrog"
clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmfrog

=== debian/changelog ===
wmfrog (0.2.0-4) unstable; urgency=low

  * debian/rules
    - Enable CPPFLAGS hardened build flags (Closes: #668303). Patch thanks
      to Simon Ruderich <simon@ruderich.org>

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 10 Apr 2012 23:23:34 +0300

wmfrog (0.2.0-3) unstable; urgency=low

  * debian/control
    - (Description): Rewrite. Patch thanks to Justin B Rye <jbr@edlug.org.uk>
      in followup to bug #612927.
  * debian/rules
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 02:30:33 -0400

wmfrog (0.2.0-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9, remove dpatch.
    - (Description): Fix typo (Closes: #612927).
    - (standards-Version): 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/manpages
    - New file.
  * debian/patches
    - Convert to Quilt.
  * debian/rules
    - Update to dh(1).
    - Use hardened build flags.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/source/format
    - New. Update to format "3.0 (quilt)".
  * debian/wmfrog.1.pod
    - Move from manual page from section 1x to 1.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 21 Mar 2012 03:45:02 -0400

wmfrog (0.2.0-1) unstable; urgency=low

  * Initial release (RFP/ITP; Closes: #504786).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Nov 2008 09:57:30 +0000

=== debian/control ===
Source: wmfrog
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libxpm-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/wmfrog.git
Vcs-Git: git://git.debian.org/git/collab-maint/wmfrog.git
Homepage: http://freshmeat.net/projects/wmfrog

Package: wmfrog
Architecture: any
Depends: wget, libxext6, ${shlibs:Depends}, ${misc:Depends}
Description: dockapp for graphically indicating the weather
 This package provides a dockapp for weather reports. It shows:
 .
  - Cloud cover: clear, few, scattered, broken, overcast etc.
  - Precipitation: light, moderate, or heavy rain, hail, or snow.
  - Humidity as a percentage.
  - Wind speed, average and gusting, and direction.
  - Temperature: Celsius or Fahrenheit.
  - Special conditions such as gales, thunderstorms, or tornadoes.
 .
 The name of the reporting station can be configured and the time of the
 last update is displayed.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = wmfrog
MAKEOPT = -C Src

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	# convert *.pod to manual page
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	# CFLAGS is the only variable that we can utilize to pass flags.
	$(MAKE) $(MAKEOPT) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_clean:
	[ ! Src/Makefile ] || $(MAKE) $(MAKEOPT) clean

override_dh_auto_install:
	$(MAKE) $(MAKEOPT) install DESTDIR=$(CURDIR)/debian/wmfrog

%:
	dh $@

.PHONY = man

# End of file

=== debian/watch ===
version=3
http://sf.net/wmfrog/wmfrog-(.+)\.tgz

## wmfrog 0.3.1%2Bgit20161115

=== debian/control ===
Source: wmfrog
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
 Jeremy Sowden <jeremy@azazel.net>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12), libxpm-dev, libxext-dev
Standards-Version: 4.5.0
Homepage: http://wiki.colar.net/wmfrog_dockapp
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmfrog
Vcs-Git: https://salsa.debian.org/wmaker-team/wmfrog.git

Package: wmfrog
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libgeo-metar-perl
Description: dockapp for graphically indicating the weather
 This package provides a dockapp for weather reports. It shows:
 .
  - Cloud cover: clear, few, scattered, broken, overcast etc.
  - Precipitation: light, moderate, or heavy rain, hail, or snow.
  - Humidity as a percentage.
  - Wind speed, average and gusting, and direction.
  - Temperature: Celsius or Fahrenheit.
  - Special conditions such as gales, thunderstorms, or tornadoes.
 .
 The name of the reporting station can be configured and the time of the
 last update is displayed.

## wmfrog 0.3.1+ds

=== debian/changelog ===
wmfrog (0.3.1+ds-2) unstable; urgency=low

  * debian/watch
    + Correct dversionmangle typo.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 00:17:11 -0500

wmfrog (0.3.1+ds-1) unstable; urgency=low

  * Repack source tarball to remove Src/wmfrog binary file.
    + Add debian/README.source to explain this.
    + Add dversionmangle option to debian/watch.
  * debian/patches/renamed-wmfrog.c.patch
    + Update urls printed by --help option.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 22 Jul 2014 17:51:23 -0500

wmfrog (0.3.1-2) unstable; urgency=low

  * For simplicity, manpage is included rather than built during make.
    + Delete files debian/pod2man.mk, debian/wmfrog.1.pod.
    + Add file wmfrog.1, including several spelling fixes.
    + Remove man target from debian/rules.
  * debian/control
    + Update Vcs-* fields.
  * debian/rules
    + Simplify by using --sourcedirectory=Src.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 21 Jul 2014 23:52:58 -0500

wmfrog (0.3.1-1) unstable; urgency=low

  * New maintainer. (Closes: #699766)
  * New upstream version. (Closes: #642111)
    + Fix buffer overflow. (Closes: #697977, LP: #556203)
    + Improve polling mechanism.  (Closes: #512187)
  * debian/control
    + Bump Standards-Version to 3.9.5, no changes required.
    + Update Homepage and Vcs-* fields.
  * debian/patches
    + Update previous debian patches for new upstream version.
    + New patch (weather.pl-new-line-skip.patch) fixes bug caused by a
      small change in weather.noaa.gov's website.
    + New patch (renamed-wmfrog.c.patch) renames wmFrog.c to wmfrog.c to avoid
      "source-is-missing" Lintian error.
    + Update location of the NOAA's Meteorological Station Information Lookup
      page in documentation.
  * debian/watch
    + Update download location.
  * debian/wmfrog.1
    + Delete file, as it is created during make.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 29 Apr 2014 00:04:57 -0500

=== debian/control ===
Source: wmfrog
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libxpm-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.5
Homepage: http://wiki.colar.net/wmfrog_dockapp
Vcs-Browser: https://github.com/d-torrance/wmfrog
Vcs-Git: https://github.com/d-torrance/wmfrog.git

Package: wmfrog
Architecture: any
Depends: wget, libxext6, ${shlibs:Depends}, ${misc:Depends}
Description: dockapp for graphically indicating the weather
 This package provides a dockapp for weather reports. It shows:
 .
  - Cloud cover: clear, few, scattered, broken, overcast etc.
  - Precipitation: light, moderate, or heavy rain, hail, or snow.
  - Humidity as a percentage.
  - Wind speed, average and gusting, and direction.
  - Temperature: Celsius or Fahrenheit.
  - Special conditions such as gales, thunderstorms, or tornadoes.
 .
 The name of the reporting station can be configured and the time of the
 last update is displayed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=Src

override_dh_auto_build:
	dh_auto_build --sourcedirectory=Src \
		-- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
https://bitbucket.org/tcolar/wmfrog/downloads/wmfrog-(.+)\.tgz

## wmfrog 0.3.1+git20140909

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC     = gcc
-CFLAGS = -O2 -Wall
+CFLAGS = -g #-O2 -Wall
 INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
 LIBDIR = -L/usr/X11R6/lib
 # for linux
@@ -8,7 +8,7 @@
 # LIBS   = -lXpm -lX11 -lXext -lsocket
 PREFIX=/usr
 
-OBJS   = wmFrog.o \
+OBJS   = wmfrog.o \
          xutils.o
 
 
@@ -16,10 +16,10 @@
 	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)
 
 
-all:	wmFrog.o wmFrog 
+all:	wmfrog.o wmfrog 
 
-wmFrog.o: frog.xpm frog.xbm
-wmFrog:	$(OBJS) 
+wmfrog.o: frog.xpm frog.xbm
+wmfrog:	$(OBJS) 
 	$(CC) $(CFLAGS) $(SYSTEM) -o wmfrog $^ $(INCDIR) $(LIBDIR) $(LIBS)
 install:
 		mkdir -p "$(DESTDIR)$(PREFIX)/bin"

=== debian/changelog ===
wmfrog (0.3.1+git20140909-1) unstable; urgency=medium

  * New upstream version (git snapshot).
    - Binary file no longer included in source, so repack no longer needed.
      Remove debian/README.source and dversionmangle option from debian/watch
      because of this.
  * debian/rules
    - Add get-orig-source target.
  * debian/patches
    - Remove directory; patches applied upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 09 Sep 2014 23:29:45 -0500

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,23 @@
 override_dh_auto_build:
 	dh_auto_build --sourcedirectory=Src \
 		-- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
+
+get-orig-source:
+	@git checkout upstream
+	@git pull https://github.com/tcolar/wmfrog.git
+	@grep -Po '(?<=\#define VERSION ").*(?=\")' wmfrog/Src/wmfrog.c \
+		> version
+	@git show HEAD^:wmfrog/Src/wmfrog.c | \
+		grep -Po '(?<=\#define VERSION ").*(?=\")' > oldversion
+	@if test `cat oldversion` = `cat version` ; then \
+		echo "`cat version`+git`date -d @\`git log -1 --pretty=format:%ct\` +%Y%m%d`" > version; \
+	fi
+	@echo "Enter "`cat version`" at the prompt below:"
+	@cd wmfrog; \
+	./builtDist.sh
+	@mv -v wmfrog/dist/wmfrog-`cat version`.tgz ../wmfrog_`cat version`.orig.tar.gz
+	@rm version
+	@rm oldversion
+	@git checkout wmfrog/dist/weather.pl
+	@git checkout wmfrog/dist/wmfrog
+	@git checkout master

## wmfrog 0.3.1+git20150102

=== debian/changelog ===
wmfrog (0.3.1+git20150102-3) unstable; urgency=medium

  * debian/copyright
    - Remove X-* fields, update Source.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 22 Oct 2015 00:08:38 -0400

wmfrog (0.3.1+git20150102-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/patches/install_perl_script_in_usr_share.patch
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 23 Aug 2015 01:43:57 -0400

wmfrog (0.3.1+git20150102-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
    - Remove x11proto-xext-dev from Build-Depends; unnecessary as
      libxext-dev depends on it.
    - Remove libxext6 from Depends; already accounted for in
      ${shlibs:Depends}.
    - Add ${perl:Depends} to Depends.
  * debian/docs
    - New file; adds HINTS to docs.
  * debian/(manpages|wmfrog.1)
    - Remove files; manpage added upstream.
  * debian/patches
    - (install_perl_script_in_usr_share.patch) Install weather.pl
      in /usr/share/wmfrog to conform to the Filesystem Hierarchy Standard.
  * debian/rules
    - Update override_dh_auto_build target to remove hack that passed
      CPPFLAGS and LDFLAGS via CFLAGS as upstream Makefile now handles
      these build flags properly.  Use dpkg-buildflags for CFLAGS.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 07 Jan 2015 15:05:36 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: wmfrog
 Section: x11
 Priority: optional
-Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
-Build-Depends: debhelper (>= 9), libxpm-dev, x11proto-xext-dev, libxext-dev
-Standards-Version: 3.9.5
+Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper (>= 9), libxpm-dev, libxext-dev
+Standards-Version: 3.9.6
 Homepage: http://wiki.colar.net/wmfrog_dockapp
-Vcs-Browser: https://github.com/d-torrance/wmfrog
-Vcs-Git: https://github.com/d-torrance/wmfrog.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmfrog.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmfrog.git
 
 Package: wmfrog
 Architecture: any
-Depends: wget, libxext6, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Description: dockapp for graphically indicating the weather
  This package provides a dockapp for weather reports. It shows:
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	dh_auto_build --sourcedirectory=Src \
-		-- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
+		-- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
 
 get-orig-source:
 	@git checkout upstream

=== debian/watch ===
version=3
https://bitbucket.org/tcolar/wmfrog/downloads/wmfrog-(.+)\.tgz

## wmfrog 0.3.1+git20161115

=== Makefile ===
--- 
+++ 
@@ -13,19 +13,21 @@
 
 
 .c.o:
-	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)
 
 
 all:	wmfrog.o wmfrog 
 
 wmfrog.o: frog.xpm frog.xbm
 wmfrog:	$(OBJS) 
-	$(CC) $(CFLAGS) $(SYSTEM) -o wmfrog $^ $(INCDIR) $(LIBDIR) $(LIBS)
+	$(CC) $(LDFLAGS) $(SYSTEM) -o wmfrog $^ $(INCDIR) $(LIBDIR) $(LIBS)
 install:
 		mkdir -p "$(DESTDIR)$(PREFIX)/bin"
 		mkdir -p "$(DESTDIR)$(PREFIX)/lib/wmfrog"
+		mkdir -p "$(DESTDIR)$(PREFIX)/share/man/man1"
 		cp wmfrog "$(DESTDIR)$(PREFIX)/bin"
 		cp weather.pl "$(DESTDIR)$(PREFIX)/lib/wmfrog"
+		cp wmfrog.1 "$(DESTDIR)$(PREFIX)/share/man/man1"
 clean:
 	for i in $(OBJS) ; do \
 		rm -f $$i; \

=== debian/changelog ===
wmfrog (0.3.1+git20161115-3) unstable; urgency=medium

  * Fix multiple definitions of several variables (closes: #957944).
  * Bump Standards-Version to 4.5.0.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 19 Apr 2020 10:12:35 +0100

wmfrog (0.3.1+git20161115-2) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.

  [ Jeremy Sowden ]
  * Bump Standards-Version to 4.4.1.
  * Bump compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Add myself to uploaders.
  * Prevent -tmp option seg-faulting.
  * Use Geo::METAR to parse observations.  Closes: #897081.
  * Set rules-requires-root: no.
  * Add myself to d/copyright.

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 30 Sep 2019 22:21:43 +0100

wmfrog (0.3.1+git20161115-1) unstable; urgency=medium

  * New upstream release (git snapshot).
    - Update METAR data fetching URL (Closes: #843873).
  * debian/control
    - Bump Standards-Version to 3.9.8, no changes required.
    - Use secure URI for Vcs-Browser.
  * debian/rules
    - Enable all hardening flags.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 17 Nov 2016 06:17:13 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --sourcedirectory=Src

## wmfrog 0.3.1+git20211013+ds

=== wmfrog/Src/Makefile ===
CC     = gcc
CFLAGS = -g #-O2 -Wall
INCDIR = -I/usr/X11R6/include/X11 -I/usr/X11R6/include
LIBDIR = -L/usr/X11R6/lib
# for linux
LIBS   = -lXpm -lX11 -lXext
# for Solaris
# LIBS   = -lXpm -lX11 -lXext -lsocket
PREFIX=/usr

OBJS   = wmfrog.o \
         xutils.o


.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $*.o $(INCDIR)


all:	wmfrog.o wmfrog 

wmfrog.o: frog.xpm frog.xbm
wmfrog:	$(OBJS) 
	$(CC) $(LDFLAGS) $(SYSTEM) -o wmfrog $^ $(INCDIR) $(LIBDIR) $(LIBS)
install:
		mkdir -p "$(DESTDIR)$(PREFIX)/bin"
		mkdir -p "$(DESTDIR)$(PREFIX)/share/wmfrog"
		mkdir -p "$(DESTDIR)$(PREFIX)/share/man/man1"
		cp wmfrog "$(DESTDIR)$(PREFIX)/bin"
		cp weather.pl "$(DESTDIR)$(PREFIX)/share/wmfrog"
		cp wmfrog.1 "$(DESTDIR)$(PREFIX)/share/man/man1"
clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmfrog

=== debian/changelog ===
wmfrog (0.3.1+git20211013+ds-3) unstable; urgency=medium

  * d/patches
    - add patch to fix pre-ANSI function declaration (Closes: #1098104)
  * d/control
    - bump Standards-Version to 4.7.2

 -- Jeremy Sowden <azazel@debian.org>  Sat, 15 Mar 2025 13:36:18 +0000

wmfrog (0.3.1+git20211013+ds-2) unstable; urgency=medium

  [ Doug Torrance ]
  * d/gbp.conf
    - Add git-buildpackage config file; use pristine-tar for orig tarballs.

  [ Debian Janitor ]
  * debian/upstream/metadata
    - Set upstream metadata fields: Repository-Browse.

  [ Jeremy Sowden ]
  * d/control
    - bump Standards-Version to 4.7.0
    - run `wrap-and-sort -ast`
  * d/control, d/copyright
    - update my e-mail address
  * d/.gitignore
    - ignore packaging artefacts

 -- Jeremy Sowden <azazel@debian.org>  Sat, 04 Jan 2025 11:00:17 +0000

wmfrog (0.3.1+git20211013+ds-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/copyright
    - Exclude wmfrog/dist directory from orig tarball; it contains a
      compiled copy of the wmfrog binary and a redundant copy of the
      weather.pl Perl script.
    - Update path to xutils.c.
    - Update my email address and copyright years.
  * debian/docs
    - Update path to HINTS.
    - Add README.
  * debian/patches
    - Remove patches; applied upstream.
  * debian/rules
    - Update sourcedirectory; source is now in wmfrog/Src.
    - Remove redundant sourcedirectory option from
      override_dh_auto_build target.
  * debian/watch
    - Add +ds suffix for repacking orig tarball.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 13 Oct 2021 14:58:15 -0400

wmfrog (0.3.1+git20161115-4) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump to debhelper compatibility level 13.
    - Bump Standards-Version to 4.6.0.
    - Reformat using wrap-and-sort.
  * debian/patches/*
    - Add Forwarded fields.
  * debian/rules
    - Drop get-orig-source target.  In the future, we will use uscan
      instead.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Switch to version 4 format.
    - Switch to GitHub using git mode; old Bitbucket link was broken.
      Note that a uscan-generated tarball will have a different directory
      structure than the orig tarball currently in use.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 13 Oct 2021 05:57:02 -0400

=== debian/control ===
Source: wmfrog
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders:
 Doug Torrance <dtorrance@piedmont.edu>,
 Jeremy Sowden <azazel@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libxext-dev,
 libxpm-dev,
Standards-Version: 4.7.2
Homepage: http://wiki.colar.net/wmfrog_dockapp
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmfrog
Vcs-Git: https://salsa.debian.org/wmaker-team/wmfrog.git

Package: wmfrog
Architecture: any
Depends:
 libgeo-metar-perl,
 wget,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: dockapp for graphically indicating the weather
 This package provides a dockapp for weather reports. It shows:
 .
  - Cloud cover: clear, few, scattered, broken, overcast etc.
  - Precipitation: light, moderate, or heavy rain, hail, or snow.
  - Humidity as a percentage.
  - Wind speed, average and gusting, and direction.
  - Temperature: Celsius or Fahrenheit.
  - Special conditions such as gales, thunderstorms, or tornadoes.
 .
 The name of the reporting station can be configured and the time of the
 last update is displayed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=wmfrog/Src

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

=== debian/watch ===
version=4
opts=mode=git,pretty=0.3.1+git%cd,dversionmangle=auto,repacksuffix=+ds \
https://github.com/tcolar/wmfrog HEAD
